tp @a[tag=!In] 23 3 61 135 0
spawnpoint @a[tag=!In] 23 3 61
gamemode adventure @a[tag=!In]
xp set @a[tag=!In] 0 levels
xp set @a[tag=!In] 0 points
clear @a[tag=!In]
title @a[tag=!In] times 20 80 20
bossbar set minecraft:boss1 players @a[tag=Playing]
bossbar set minecraft:boss2 players @a[tag=Playing]
bossbar set minecraft:boss3 players @a[tag=Playing]
bossbar set minecraft:boss4 players @a[tag=Playing]
bossbar set minecraft:time players @a[tag=Playing]
tellraw @a[tag=!In] ["",{"text":"We finally found it... "},{"text":"Emerald Keep!","color":"green"}]
tellraw @a[x=19,y=1,z=57,distance=..2,tag=!In2] ["",{"text":"Please turn particles to minimum!\n","bold":"true","color":"red"},{"text":"Any other setting is fine, but particles are taken care of.","color":"red"}]
tag @a[x=19,y=1,z=57,distance=..2] add In2
execute as @a[tag=!In] store result score @s CurrentGame run scoreboard players get @e[type=minecraft:armor_stand,name=Options,limit=1] CurrentGame
tag @a[tag=!In] add Lobby
recipe give @a[tag=!In] *
recipe take @a[tag=!In] minecraft:iron_ladder
recipe take @a[tag=!In] minecraft:golden_key
recipe take @a[tag=!In] minecraft:diamond_spell
recipe take @a[tag=!In] minecraft:void_lock
advancement revoke @a[tag=!In] everything
advancement grant @a[tag=!In] only classes:root
advancement grant @a[tag=!In] only fails:root
advancement grant @a[tag=!In] only milestones:root
advancement grant @a[tag=!In] only story:root
scoreboard players set @a[tag=!In] Rubies 0
give @a[tag=!In] written_book{pages:["[\"\",{\"text\":\"Welcome, Adventurer!\",\"bold\":true},{\"text\":\"\\nGlad to have you here. Just kidding. We want you out. The Void doesn't need you. The Void wants sacrifices. The Void \",\"color\":\"reset\"},{\"text\":\"shall kill you all\",\"obfuscated\":true},{\"text\":\"-\\n\\nOK, enough of this.\\nI'm the \",\"color\":\"reset\"},{\"text\":\"Dungeon Master\",\"bold\":true},{\"text\":\"!\",\"color\":\"reset\"}]","[\"\",{\"text\":\"You're probably here for the \"},{\"text\":\"Emerald Medal\",\"bold\":true},{\"text\":\", correct? Very deep in this cave, it's hidden somewhere. Guarded by bosses, traps and many enemies. But you can defend yourself! Somewhat. With swords! And bows! And \",\"color\":\"reset\"},{\"text\":\"magic! \",\"italic\":true},{\"text\":\"And I will help you!\",\"color\":\"reset\"}]","[\"\",{\"text\":\"I'm \"},{\"text\":\"\\\"in charge\\\"\",\"italic\":true},{\"text\":\" of the dungeon. I can't control the bosses, but can help you a bit by adding bonuses, placing ladders and more stuff. I won't do much here, you're going to have to do it yourself. But I'm always there, prepared to catch your death.\",\"color\":\"reset\"}]","[\"\",{\"text\":\"Go to the \"},{\"text\":\"Tutorial I\",\"bold\":true},{\"text\":\" to see what you have to do. You can also do part \",\"color\":\"reset\"},{\"text\":\"II\",\"bold\":true},{\"text\":\"\",\"color\":\"reset\"},{\"text\":\"\",\"bold\":true},{\"text\":\" but I'd save it for later, when you get the basics. This dungeon is complicated so keep up! And rest a little whenever you feel tired, you'll need it.\",\"color\":\"reset\"}]","[\"\",{\"text\":\"Remember: the most is learnt between runs. Item use and obtaining, hidden mechanics, and enemy patterns are everyday practice. Observe, learn... and have fun! And die because it's \"},{\"text\":\"REALLY HARD!\",\"italic\":true},{\"text\":\"\\n\\n \",\"color\":\"reset\"}]","[\"\",{\"text\":\"Just get in there! Select a class, set some settings and move! And die! And try again! And have fun! And don't pay attention to the lore, it's nothing. Really.\\n\\n- \"},{\"text\":\"Dungeon Master\",\"bold\":true,\"color\":\"dark_green\"},{\"text\":\"\\n\\n\",\"color\":\"reset\"},{\"text\":\"dont touch it\",\"obfuscated\":true,\"color\":\"dark_gray\"}]"],title:"Ruby Caverns",author:"Dungeon Master"}
tag @a[tag=!In] add In

tag @a[scores={Leave=1..},tag=Lobby] remove ClassMain
tag @a[scores={Leave=1..},tag=Lobby] remove ClassE
tag @a[scores={Leave=1..},tag=Lobby] remove ClassW
tag @a[scores={Leave=1..},tag=Lobby] remove ClassM
tag @a[scores={Leave=1..},tag=Lobby] remove ClassT
tag @a[scores={Leave=1..},tag=Lobby] remove ClassJ
tag @a[scores={Leave=1..},tag=Lobby] remove ClassSide1
tag @a[scores={Leave=1..},tag=Lobby] remove ClassSide2
tp @a[tag=Tutorial1,scores={Leave=1..}] 18 2 56 135 ~
tp @a[tag=Tutorial2,scores={Leave=1..}] 18 2 56 135 ~
clear @a[tag=Tutorial1,scores={Leave=1..}]
clear @a[tag=Tutorial2,scores={Leave=1..}]
tag @a[scores={Leave=1..},tag=Lobby] remove Tutorial1
tag @a[scores={Leave=1..},tag=Lobby] remove Tutorial2
execute as @a[scores={Leave=1..}] if score @s CurrentGame < @e[type=minecraft:armor_stand,name=Options,limit=1] CurrentGame run tag @s add STOP
execute as @a[scores={Leave=1..}] if score @s CurrentGame > @e[type=minecraft:armor_stand,name=Options,limit=1] CurrentGame run tag @s add STOP2
tellraw @a[tag=STOP,tag=Playing] ["",{"text":"You left, and someone started a new game. Sorry!","color":"red"},{"text":"\n- the Void","color":"dark_gray"}]
tp @a[tag=STOP] 18 2 56 135 ~
execute as @a[tag=STOP] run function system:deathend
execute as @a[tag=STOP] store result score @s CurrentGame run scoreboard players get @e[type=minecraft:armor_stand,name=Options,limit=1] CurrentGame
tag @a remove STOP
tellraw @a[tag=STOP2,tag=Playing] ["",{"text":"Oops... this message should not appear! Please contact me if you see this!","color":"red"},{"text":"\n- the Voi- uh, Dieuwt","color":"gray"}]
tp @a[tag=STOP2] 18 2 56 135 ~
execute as @a[tag=STOP2] run function system:deathend
execute as @a[tag=STOP2] store result score @s CurrentGame run scoreboard players get @e[type=minecraft:armor_stand,name=Options,limit=1] CurrentGame
tag @a remove STOP2
scoreboard players set @a Leave 0